Last Comment Bug 795959 - Typing "@gmail.com" as part of the username shouldn't be required when setting up a gtalk account
: Typing "@gmail.com" as part of the username shouldn't be required when settin...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: Thunderbird 18.0
Assigned To: Florian Quèze [:florian] [:flo]
:
Mentors:
https://developers.google.com/talk/je...
Depends on: 786684 806079
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 09:53 PDT by Florian Quèze [:florian] [:flo]
Modified: 2012-10-27 09:08 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch (5.70 KB, patch)
2012-10-01 10:00 PDT, Florian Quèze [:florian] [:flo]
clokep: review-
Details | Diff | Splinter Review
Patch v2 (6.47 KB, patch)
2012-10-02 05:38 PDT, Florian Quèze [:florian] [:flo]
clokep: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Florian Quèze [:florian] [:flo] 2012-10-01 09:53:49 PDT
Guessing if the domain is @gmail.com or @googlemail.com is possible if we implement a Google specific XMPP extension documented at https://developers.google.com/talk/jep_extensions/jid_domain_change

I think we should do it to avoid some confusion.
Comment 1 Florian Quèze [:florian] [:flo] 2012-10-01 10:00:56 PDT
Created attachment 666597 [details] [diff] [review]
Patch

This patch works only if bug 786684 is fixed.
Comment 2 Patrick Cloke [:clokep] 2012-10-01 22:16:51 PDT
Comment on attachment 666597 [details] [diff] [review]
Patch

The code looks good, but I think I'd like a comment above PlainFullBindAuth pointing to the link you provide in this bug and a comment above the "if (!this._jid.node) {" block describing what is happening in this situation.
Comment 3 Patrick Cloke [:clokep] 2012-10-01 22:26:30 PDT
Also, the corresponding Instantbird bug: https://bugzilla.instantbird.org/show_bug.cgi?id=1535
Comment 4 Florian Quèze [:florian] [:flo] 2012-10-02 05:38:31 PDT
Created attachment 666947 [details] [diff] [review]
Patch v2

Same patch with more comments.
Comment 5 Patrick Cloke [:clokep] 2012-10-02 05:41:05 PDT
Comment on attachment 666947 [details] [diff] [review]
Patch v2

Excellent. Thanks for fixing this!
Comment 6 Florian Quèze [:florian] [:flo] 2012-10-02 06:42:59 PDT
https://hg.mozilla.org/comm-central/rev/b176895f1b15
Comment 7 Florian Quèze [:florian] [:flo] 2012-10-02 06:51:08 PDT
http://hg.instantbird.org/instantbird/rev/c90d46307450
Comment 8 Florian Quèze [:florian] [:flo] 2012-10-05 12:38:15 PDT
Comment on attachment 666947 [details] [diff] [review]
Patch v2

[Approval Request Comment]
If we take this patch, users won't have to type @gmail.com any more when configuring Google Talk account (ie less possible ways to mis configure a Google Talk account).
Comment 9 Mark Banner (:standard8) 2012-10-08 02:15:05 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/583b589da03e

Note You need to log in before you can comment on or make changes to this bug.